Bug 55293 - Incorrect default MIME type for .woff fonts
Summary: Incorrect default MIME type for .woff fonts
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_mime (show other bugs)
Version: 2.4.4
Hardware: Macintosh All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2013-07-22 19:39 UTC by Ben Harold
Modified: 2017-06-25 12:48 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Harold 2013-07-22 19:39:43 UTC
On line 1057 of the mime.types file, the mime type for a woff font is defined as application/x-font-woff. According to the W3C recommendation (http://www.w3.org/TR/WOFF/#appendix-b) the correct mime type for that type of file is application/font-woff. Loading this type of file will lead to the following console output in Google Chrome 28.0.1500.71: "Resource interpreted as Font but transferred with MIME type application/x-font-woff".

A quick hack to fix this is to add "AddType application/font-woff .woff" somewhere in the Apache configuration, but the default value really should be changed to the correct value.
Comment 1 Stefan Fritsch 2013-07-24 19:43:33 UTC
trunk fix: r1506674
Comment 2 Eric Covener 2017-06-25 12:47:48 UTC
Fixed in 2.4.26 and a few earlier releases.